# Package edu.isi.pegasus.planner.selector.replica

Class Summary
Default: The default replica selector that is used if non is specifed by the user.
Local: This replica selector only prefers replicas from the local host and that start with a file: URL scheme.
Regex: A replica selector that allows the user to specific regex expressions that can be used to rank various PFN's returned from the Replica Catalog for a particular LFN.
Regex.Rank: A Data class that allows us to compile a regex expression and associate a rank value with it.
ReplicaSelectorFactory: A factory class to load the appropriate type of Replica Selector, as specified by the user at runtime in properties.
Restricted: A replica selector, that allows the user to specify good sites and bad sites for staging in data to a compute site.

Exception Summary
ReplicaSelectorFactoryException: Class to notify of failures while instantiating ReplicaSelector implementations.